body, html, * {
    margin: 0;
    padding: 0;
}

:root {
    --bg: #ffffff;

    --text-main: #1a1a1a;
    --text-muted: color-mix(in srgb, var(--text-main) 60%, transparent);

    --stroke: #000000;
    --border: #999999;

    --shadow: rgba(0, 0, 0, 0.25);
}

.dark {
    --bg: #0f0f0f;

    --text-main: #f5f5f5;
    --text-muted: color-mix(in srgb, var(--text-main) 70%, transparent);

    --stroke: #ffffff;
    --border: #555555;

    --shadow: rgba(255, 255, 255, 0.25);
}

body {
    background: var(--bg);
}


#landing {
    background: var(--bg);
    position: fixed;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    --line-size: 10rem;
    --line-width: 3px;
    transition: background 0.3s ease, color 0.3s ease;
    overflow: hidden;
    z-index: 3;

    & h1 {
        font-family: "Poppins", sans-serif;
        font-weight: 300;
        font-size: 5rem;
        color: var(--text-main);
        -webkit-text-stroke: 1px var(--stroke);
        filter: drop-shadow(0 4px 4px var(--shadow));
        letter-spacing: 4px;
        margin-top: -0.5rem;
    }
    & h2 {
        font-family: "Poppins", sans-serif;
        font-weight: 100;
        font-size: 2rem;
        color: var(--text-muted);
        -webkit-text-stroke: 1px var(--stroke);
        /*filter: drop-shadow(0 4px 4px #00000040);*/
        letter-spacing: 7px;
    }
}


#landing::before {
    content: '';
    position: absolute;
    width: var(--line-size);
    height: var(--line-size);
    border-right: var(--line-width) solid #00000080;
    border-top: var(--line-width) solid #00000080;
    top: 2rem;
    right: 2rem;
}

#landing::after {
    content: '';
    position: absolute;
    width: var(--line-size);
    height: var(--line-size);
    border-left: var(--line-width) solid #00000080;
    border-bottom: var(--line-width) solid #00000080;
    bottom: 2rem;
    left: 2rem;
}

#landing::before,
#landing::after {
    border-color: var(--border);
}

#information {
    display: flex;
    margin-bottom: 5rem;
    flex-direction: column;
    align-items: center;
    z-index: 2;
}

#icons {
    display: flex;
    & .icon {
        color: var(--text-muted);
        filter: drop-shadow(0 4px 4px var(--shadow));
        -webkit-text-stroke: 1px var(--stroke);
        width: 50px;
        transition: all 0.2s ease;
        cursor: pointer;

        &:hover {
            color: var(--text-main);
            transform: translateY(-5px);
            filter: drop-shadow(0 4px 4px var(--shadow));
        }
    }
    gap: 1rem;


}

/*  */

#theme-toggle {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    cursor: pointer;
    height: 3rem;
    width: 5rem;
    border-radius: 5px;
    border: 2px solid var(--border);
    box-shadow: 0 0 10px var(--shadow);
    overflow: hidden;
    z-index: 4;
}

#theme-icons {
    display: grid;
    grid-template-rows: 3rem 3rem;
    align-items: center;
    justify-content: center;
    transition: transform 0.8s ease;
    transform-origin: 50% 50%;
    & svg {
        height: 2.5rem;
        color: var(--text-muted)
    }
}

#theme-toggle.dark {
    #theme-icons {
        transform: rotate(180deg);
    }
}

#lines {
    position: absolute;
    width: 100%;
    height: 100%;
    /*border: 2px red solid;*/
}

.line-container {
    position: absolute;
    /*border: 2px solid red;*/

    display: flex;
    align-items: center;
    justify-content: center;
}

.line {
    position: absolute;
    /*border: 2px solid red;*/
    transform: rotate(-45deg);
    color: var(--border);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    filter: drop-shadow(0 4px 8px var(--shadow));
}

#content {
    position: relative;
    background: var(--bg);
    height: 300rem;
    top: 100vh;
    display: flex;
    flex-direction: column;
}

#scroll-block {
    position: relative;
    height: 100vh;
    background: #00000000;
}

#about-me {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-around;
    color: var(--bg);

    & h2 {
        padding: 50px;
        box-sizing: content-box;
        font-family: "Poppins", sans-serif;
        font-size: 5rem;
        position: relative;
        isolation: isolate;
    }
    & h2::before {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(15deg);
        content: '';
        clip-path: polygon(25% 0%, 100% 0%, 75% 100%, 0% 100%);
        background: lightskyblue;
        width: 40rem;
        height: 15rem;
        display: inline-block;
        z-index: -1;
    }
}

